[arch-commits] Commit in automake/trunk (PKGBUILD automake.install)

Allan McRae allan at archlinux.org
Sat May 23 01:07:58 EDT 2009


    Date: Saturday, May 23, 2009 @ 01:07:58
  Author: allan
Revision: 39920

upgpkg: automake 1.11-1
    upstream update, remove texinfo dep

Modified:
  automake/trunk/PKGBUILD
  automake/trunk/automake.install

------------------+
 PKGBUILD         |   11 ++++++-----
 automake.install |    6 ++++--
 2 files changed, 10 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-23 04:56:50 UTC (rev 39919)
+++ PKGBUILD	2009-05-23 05:07:58 UTC (rev 39920)
@@ -1,19 +1,19 @@
 # $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
 # Contributor: judd <jvinet at zeroflux.org>
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=automake
-pkgver=1.10.2
+pkgver=1.11
 pkgrel=1
 pkgdesc="A GNU tool for automatically creating Makefiles"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.gnu.org/software/automake"
 groups=('base-devel')
-depends=('perl' 'bash' 'texinfo')
+depends=('perl' 'bash')
 install=automake.install
 source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz)
-md5sums=('ede3e08c696861a01f4d2c6a2e822053')
+md5sums=('fab0bd2c3990a6679adaf9eeac0c6d2a')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -22,4 +22,5 @@
   make DESTDIR=${pkgdir} install || return 1
 
   rm -f ${pkgdir}/usr/share/info/dir
+  gzip -9 ${pkgdir}/usr/share/info/*
 }

Modified: automake.install
===================================================================
--- automake.install	2009-05-23 04:56:50 UTC (rev 39919)
+++ automake.install	2009-05-23 05:07:58 UTC (rev 39920)
@@ -2,8 +2,9 @@
 filelist=(automake.info automake.info-1 automake.info-2)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
-    install-info $infodir/$file $infodir/dir 2> /dev/null
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
   done
 }
 
@@ -12,8 +13,9 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
   done
 }
 



More information about the arch-commits mailing list